| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.OrderDetails Class Reference

Class that encapsulates information about order details. More...

Inheritance diagram for LicenseSpring.OrderDetails:

## Public Member Functions
| OrderDetails ()
| OrderDetails default constructor.
| OrderDetails (string orderID)
| OrderDetails constructor where you can provide your custom order ID.

## Properties
string | CampaignParams`[get, set]`
| Advertisement campaign params.
string | DownloadID`[get, set]`
| Order download id.
bool | IsTest`[get, set]`
| Whether you are ordering test licenses or not, by default false.
bool | IsTrial`[get, set]`
| Whether you are ordering trial licenses or not, by default false.Please note, this data field is obsolete and have no effect anymore. You should specify trial flag for every license separately using LicenseDetails.IsTrial
string | Language`[get, set]`
| Language short code, by default 'en'.
string | OrderID`[get, set]`
| Order identifier.
bool | PreventVM`[get, set]`
| Prevent using virtual machine.
bool | ShouldAppend`[get, set]`
| Append order items to existing order.By default true if you provide orderID and false if not.
string | Type`[get, set]`
| Order type, by default 'normal'.
Properties inherited from LicenseSpring.IOrderDetails

## Detailed Description

Class that encapsulates information about order details.

This information can be passed to `IManagementService.CreateOrder` if you want to specify order details.

Order info should be passed if you are going to make user-based license order, see `IsUserBased`.

## Constructor & Destructor Documentation

## ◆ OrderDetails() [1/2]

LicenseSpring.OrderDetails.OrderDetails | ( |  | ) |

OrderDetails default constructor.

The SDK will create order ID using `System.Guid`

## ◆ OrderDetails() [2/2]

LicenseSpring.OrderDetails.OrderDetails | ( | string | orderID | ) |

OrderDetails constructor where you can provide your custom order ID.

ShouldAppend property will be set to true

Parameters

  orderID | Order identifier

## Property Documentation

## ◆ CampaignParams

string LicenseSpring.OrderDetails.CampaignParams
| get set

Advertisement campaign params.

Implements LicenseSpring.IOrderDetails.

## ◆ DownloadID

string LicenseSpring.OrderDetails.DownloadID
| get set

Order download id.

Implements LicenseSpring.IOrderDetails.

## ◆ IsTest

bool LicenseSpring.OrderDetails.IsTest
| get set

Whether you are ordering test licenses or not, by default false.

Implements LicenseSpring.IOrderDetails.

## ◆ IsTrial

bool LicenseSpring.OrderDetails.IsTrial
| get set

Whether you are ordering trial licenses or not, by default false.Please note, this data field is obsolete and have no effect anymore. You should specify trial flag for every license separately using LicenseDetails.IsTrial

Implements LicenseSpring.IOrderDetails.

## ◆ Language

string LicenseSpring.OrderDetails.Language
| get set

Language short code, by default 'en'.

Implements LicenseSpring.IOrderDetails.

## ◆ OrderID

string LicenseSpring.OrderDetails.OrderID
| get set

Order identifier.

Implements LicenseSpring.IOrderDetails.

## ◆ PreventVM

bool LicenseSpring.OrderDetails.PreventVM
| get set

Prevent using virtual machine.

Implements LicenseSpring.IOrderDetails.

## ◆ ShouldAppend

bool LicenseSpring.OrderDetails.ShouldAppend
| get set

Append order items to existing order.By default true if you provide orderID and false if not.

Implements LicenseSpring.IOrderDetails.

## ◆ Type

string LicenseSpring.OrderDetails.Type
| get set

Order type, by default 'normal'.

Implements LicenseSpring.IOrderDetails.

The documentation for this class was generated from the following file:

- OrderDetails.cs